open Base

type t = { user_id : String.t; content : String.t }

let of_sql_row = function[@warning "-4"]
  | [|
      ("user_id", Sqlite3.Data.TEXT user_id);
      ("content", Sqlite3.Data.TEXT content);
    |] ->
      { user_id; content }
  | row -> raise (Oksql.Conversion_failed row)
